package fs

// TypeInfo contains human-readable descriptions for supported file formats
var TypeInfo = map[Type]string{
	RawImage:     "Unprocessed Sensor Data",
	ImageJPEG:    "Joint Photographic Experts Group (JPEG)",
	ImagePNG:     "Portable Network Graphics",
	ImageGIF:     "Graphics Interchange Format",
	ImageTIFF:    "Tag Image File Format",
	ImageBMP:     "Bitmap",
	ImageMPO:     "Stereoscopic JPEG (3D)",
	ImageHEIF:    "High Efficiency Image File Format",
	ImageWebP:    "Google WebP",
	VideoWebM:    "Google WebM",
	VideoMP2:     "MPEG 2 (H.262)",
	VideoAVC:     "Advanced Video Coding (H.264, MPEG-4 Part 10)",
	VideoHEVC:    "High Efficiency Video Coding (H.265)",
	VideoVVC:     "Versatile Video Coding (H.266)",
	VideoAV1:     "AOMedia Video 1",
	VideoMOV:     "Apple QuickTime",
	VideoMP4:     "Multimedia Container (MPEG-4 Part 14)",
	VideoAVI:     "Microsoft Audio Video Interleave",
	VideoASF:     "Advanced Systems Format ",
	VideoWMV:     "Windows Media",
	Video3GP:     "Mobile Multimedia Container (3G)",
	Video3G2:     "Mobile Multimedia Container (CDMA2000)",
	VideoFlash:   "Adobe Flash",
	VideoMKV:     "Matroska Multimedia Container",
	VideoMPG:     "Moving Picture Experts Group (MPEG)",
	VideoMJPG:    "Motion JPEG",
	VideoAVCHD:   "Advanced Video Coding High Definition (AVCHD)",
	VideoOGV:     "Ogg Media (OGG)",
	XmpFile:      "Adobe Extensible Metadata Platform",
	AaeFile:      "Apple Image Edits XML",
	XmlFile:      "Extensible Markup Language",
	JsonFile:     "Serialized JSON Data (Exiftool, Google Photos)",
	YamlFile:     "Serialized YAML Data (Config, Metadata)",
	TextFile:     "Plain Text",
	MarkdownFile: "Markdown Formatted Text",
	UnknownType:  "Other",
}
