package media

import "github.com/photoprism/photoprism/pkg/fs"

// Formats maps file formats to general media types.
var Formats = map[fs.Type]Type{
	fs.RawImage:     Raw,
	fs.ImageJPEG:    Image,
	fs.ImagePNG:     Image,
	fs.ImageGIF:     Image,
	fs.ImageTIFF:    Image,
	fs.ImageBMP:     Image,
	fs.ImageMPO:     Image,
	fs.ImageHEIF:    Image,
	fs.VideoHEVC:    Video,
	fs.ImageWebP:    Image,
	fs.VideoWebM:    Video,
	fs.VideoAVI:     Video,
	fs.VideoAVC:     Video,
	fs.VideoVVC:     Video,
	fs.VideoAV1:     Video,
	fs.VideoMPG:     Video,
	fs.VideoMJPG:    Video,
	fs.VideoMP2:     Video,
	fs.VideoMP4:     Video,
	fs.VideoMKV:     Video,
	fs.VideoMOV:     Video,
	fs.Video3GP:     Video,
	fs.Video3G2:     Video,
	fs.VideoFlash:   Video,
	fs.VideoAVCHD:   Video,
	fs.VideoOGV:     Video,
	fs.VideoASF:     Video,
	fs.VideoWMV:     Video,
	fs.XmpFile:      Sidecar,
	fs.XmlFile:      Sidecar,
	fs.AaeFile:      Sidecar,
	fs.YamlFile:     Sidecar,
	fs.TextFile:     Sidecar,
	fs.JsonFile:     Sidecar,
	fs.MarkdownFile: Sidecar,
	fs.UnknownType:  Other,
}
